docs

# VoiceContent

data class VoiceContent ( val media: VoiceFile , val text: String ? = null, val textSources: TextSourcesList = emptyList()) : TextedMediaContent
Content copied to clipboard

## Constructors

VoiceContent
Link copied to clipboard
fun VoiceContent ( media: VoiceFile , text: String ? = null, textSources: TextSourcesList = emptyList())
Content copied to clipboard

## Functions

asTelegramMedia
Link copied to clipboard
open override fun asTelegramMedia (): TelegramMediaAudio
Content copied to clipboard
createResend
Link copied to clipboard
open override fun createResend ( chatId: ChatIdentifier , disableNotification: Boolean , protectContent: Boolean , replyToMessageId: MessageIdentifier ?, allowSendingWithoutReply: Boolean ?, replyMarkup: KeyboardMarkup ?): Request < ContentMessage < VoiceContent >>
Content copied to clipboard

## Properties

media
Link copied to clipboard
open override val media : VoiceFile
Content copied to clipboard
text
Link copied to clipboard
open override val text : String ? = null
Content copied to clipboard
textSources
Link copied to clipboard
open override val textSources : TextSourcesList
Content copied to clipboard

Full list of TextSources